<template>
  <section class="disclaimer-container">
    <div class="disclaimer-content">Deseja tentar trocar seu armário no próximo sorteio?</div>
    <label class="toggle-check">
        <input type="checkbox" class="toggle-check-input" v-model="change">
        <span class="toggle-check-text"></span>
    </label>
  </section>
</template>

<script>
export default {
  data() {
    return {
      change: false
    };
  }
}
</script>


<style scoped>
.disclaimer-container {
  display: grid;
  grid-template-columns: 1fr;
  grid-template-rows: 1fr 1fr;
  justify-items: center;
  align-items: center;

  border: 1px solid red;
  border-radius: 5px;


  padding: 0.5em 0px;
}

  body {
      font-family: sans-serif;
  }
  .toggle-check-input {
      width: 1px;
      height: 1px;
      position: absolute;
  }
  .toggle-check-text {
      display: inline-block;
      position: relative;
      text-transform: uppercase;
      background: rgb(252, 138, 138);
      padding: 0.25em 0.5em 0.25em 2em;
      border-radius: 1em;
      min-width: 2em;
      color: #FFF;
      cursor: pointer;
      transition: background-color 0.15s;
  }
  .toggle-check-text:after {
      content: ' ';
      display: block;
      background: #CCC;
      width: 1.1em;
      height: 1.1em;
      border-radius: 1em;
      position: absolute;
      left: 0.3em;
      top: 0.25em;
      transition: left 0.15s, margin-left 0.15s;
  }
  .toggle-check-text:before {
      content: 'Não';
  }
  .toggle-check-input:checked ~ .toggle-check-text {
      background: rgb(105, 230, 126);
      padding-left: 0.5em;
      padding-right: 2em;
  }
  .toggle-check-input:checked ~ .toggle-check-text:before {
      content: 'Sim';
  }
  
  .toggle-check-input:checked ~ .toggle-check-text:after {
      left: 100%;
      margin-left: -1.4em;
  }
</style>